libc6 is compiled for armv5 instead of armv7a

Bug #684625 reported by Marcin Juszkiewicz on 2010-12-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
armel-cross-toolchain-base (Ubuntu)
High
Marcin Juszkiewicz
gcc-4.4 (Ubuntu)
Undecided
Unassigned
gcc-4.5 (Ubuntu)
Undecided
Unassigned

Bug Description

eglibc is cross compiled for armv5 instead of armv7a due to bug in gcc packaging

Marcin Juszkiewicz (hrw) on 2010-12-03
Changed in armel-cross-toolchain-base (Ubuntu):
status: New → Confirmed
assignee: nobody → Marcin Juszkiewicz (hrw)
Marcin Juszkiewicz (hrw) wrote :

I have a local patch for this issue which solved problem. Will send it for inclusion in gcc-4.5/4.4 during work week.

Marcin Juszkiewicz (hrw) wrote :

This patch applies to gcc-4.4/4.5 in natty/maverick and should take care of using optimization flags for stage builds.

C de-Avillez (hggdh2) on 2010-12-06
Changed in armel-cross-toolchain-base (Ubuntu):
importance: Undecided → High
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package armel-cross-toolchain-base - 1.54

---------------
armel-cross-toolchain-base (1.54) natty; urgency=low

   * merged support to build for PPA backport
     - PPA=true means build is for PPA
       - other version of patch for eglibc will be used
       - versioned binutils/eglibc/gcc-4.5 releases will be used
       - set exact versions of binutils/eglibc/gcc
       - linux-source is not covered by PPA variable because it has different
         name for each release

   * binutils: enable gold to match native build - LP: #686530
   * gcc: use armv7a optimizations - LP: #684625
   * gcc-4.5: do not use gold for stage1/2 builds
   * updated build dependencies:
     - g++-4.4 is required for binutils to build gold
     - binutils/eglibc/gcc-4.5 deps can be provided by PPA backports
     - lowered build dependencies to lucid level to make backports easier
 -- Marcin Juszkiewicz <email address hidden> Tue, 07 Dec 2010 15:07:42 +0100

Changed in armel-cross-toolchain-base (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-4.5 - 4.5.1-12ubuntu1

---------------
gcc-4.5 (4.5.1-12ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
    - Build from the upstream tarball, including GFDL documents.

gcc-4.5 (4.5.1-12) experimental; urgency=low

  * Update to SVN 20101210 (r167686) from the gcc-4_5-branch (4.5.2 rc).
    - Fix PR fortran/45742, PR tree-optimization/46498, PR target/45807,
      PR target/44266, PR rtl-optimization/46315, PR tree-optimization/44545,
      PR tree-optimization/46491, PR rtl-optimization/46571, PR target/31100,
      PR c/46547, PR fortran/46638, PR tree-optimization/46675, PR debug/46258,
      PR ada/40777, PR fortran/46753, PR libgomp/45240, PR target/43897,
      PR rtl-optimization/46777, PR rtl-optimization/46614,
      PR middle-end/46629, PR middle-end/46499, PR tree-optimization/44676,
      PR target/45870, PR middle-end/46534, PR rtl-optimization/46440,
      PR c++/46401, PR tree-optimization/46806, PR tree-optimization/46663,
      PR debug/46123, PR middle-end/46651, PR c++/46538, PR c++/46058,
      PR fortran/46794, PR target/45693, PR libgcj/42986.

  [ Matthias Klose ]
  * Use lib instead of lib64 as the 64bit system dir on biarch
    architectures defaulting to 64bit. Closes: #603597.
  * Fix powerpc and s390 builds when biarch is disabled.
  * Backport PR bootstrap/44768, miscompilation of dpkg on ARM
    with -O2 (Chung-Lin Tang). LP: #674146.
  * Update libgcc2 symbols file. Closes: #602099.
  * Update the Linaro support to the 4.5 2010.12 release.

  [ Marcin Juszkiewicz ]
  * Do not depend on target mpfr and zlib -dev packages for cross builds.
    LP: #676027.
  * Apply ARM target configure options for stage1/stage2 cross builds.
    LP: #684625.
  * Allow to build only the -source package, and include the version
    in the package name. LP: #682333.

  [ Konstantinos Margaritis ]
  * Add support for new target architecture `armhf'. Closes: #603948.

gcc-4.5 (4.5.1-11) experimental; urgency=low

  * Update to SVN 20101114 (r166728) from the gcc-4_5-branch.
    - Fix PR fortran/45742.
  * Don't hardcode debian/patches when referencing patches. Closes: #600502.
 -- Matthias Klose <email address hidden> Fri, 10 Dec 2010 20:19:12 +0100

Changed in gcc-4.5 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-4.4 - 4.4.5-10ubuntu1

---------------
gcc-4.4 (4.4.5-10ubuntu1) natty; urgency=low

  * Update to SVN 20101214 from the gcc-4_4-branch (r167799).
    - Fix PR fortran/46753, PR libgomp/45240, PR target/22224,
      PR middle-end/46534, PR tree-optimization/46663, PR c++/46538,
      PR fortran/46794, PR fortran/45081, PR fortran/46753.

  [ Marcin Juszkiewicz ]
  * Apply ARM target configure options for stage1/stage2 cross builds.
    LP: #684625.
  * Allow to build only the -source package, and include the version
    in the package name. LP: #682333.

  [ Matthias Klose ]
  * Update the Linaro support to the 4.4 2010.12 release.

gcc-4.4 (4.4.5-10) unstable; urgency=low

  * Update cell branch to apply on top of SVN 20101129.

gcc-4.4 (4.4.5-9) unstable; urgency=low

  * Update to SVN 20101129 from the gcc-4_4-branch (r167235).
    - Fix PR fortran/46638 (wrong code), PR rtl-optimization/46337 (wrong code).

  [ Marcin Juszkiewicz ]
  * Do not depend on target mpfr and zlib -dev packages for cross builds.
    LP: #676027.

  [ Konstantinos Margaritis ]
  * Add support for new target architecture `armhf'. Closes: #603948.

  [ Matthias Klose ]
  * Fix powerpc and s390 builds when biarch is disabled. Closes: #604774.
  * Update libgcc2 symbols file. Closes: #602099.

gcc-4.4 (4.4.5-8) unstable; urgency=low

  * Update to SVN 20101114 from the gcc-4_4-branch (r166728).
    - Fix PR middle-end/43690, PR tree-optimization/46107, PR libgfortran/46373,
      PR fortran/45742.
  * Don't hardcode debian/patches when referencing patches. Addresses: #600502.
 -- Matthias Klose <email address hidden> Tue, 14 Dec 2010 15:36:39 +0100

Changed in gcc-4.4 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers